package com.pcloud.book.group.mapper;

import com.pcloud.book.group.dto.ResourcePageShareDto;
import com.pcloud.book.group.entity.ResourcePageShare;
import org.springframework.stereotype.Repository;

@Repository
public interface ResourcePageShareMapper {
    int deleteByPrimaryKey(Long qrcodeId);

    int insert(ResourcePageShare record);

    int insertSelective(ResourcePageShare record);

    ResourcePageShare selectByPrimaryKey(Long qrcodeId);

    int updateByPrimaryKeySelective(ResourcePageShare record);

    int updateByPrimaryKey(ResourcePageShare record);

    ResourcePageShareDto selectDtoByPrimaryKey(Long qrCodeId);

    Integer save(ResourcePageShare record);

    ResourcePageShare selectByResourcePageId(Long sceneId);
}